<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:ns11="http://xbrl.org/2008/assertion/consistency" xmlns:xl="http://www.xbrl.org/2003/XLink">
    <link:roleRef roleURI="http://www.kogeneracja.com.pl/role/ias_1_role-210000" xlink:href="kgn-2024-12-31.xsd#ias_1_role-210000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.kogeneracja.com.pl/role/ias_1_role-410000" xlink:href="kgn-2024-12-31.xsd#ias_1_role-410000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.kogeneracja.com.pl/role/ias_7_role-520000" xlink:href="kgn-2024-12-31.xsd#ias_7_role-520000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.kogeneracja.com.pl/role/ias_1_role-610000" xlink:href="kgn-2024-12-31.xsd#ias_1_role-610000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.kogeneracja.com.pl/role/role_000010" xlink:href="kgn-2024-12-31.xsd#role_000010" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.kogeneracja.com.pl/role/Anchoring" xlink:href="kgn-2024-12-31.xsd#Anchoring" xlink:type="simple"/>
    <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" xlink:type="simple"/>
    <link:calculationLink xlink:role="http://www.kogeneracja.com.pl/role/ias_1_role-210000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentReceivables" xlink:type="locator" xlink:label="Loc_10"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:type="locator" xlink:label="Loc_12"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentNonfinancialAssets" xlink:type="locator" xlink:label="Loc_15"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:type="locator" xlink:label="Loc_17"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:type="locator" xlink:label="Loc_2"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:type="locator" xlink:label="Loc_28"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:type="locator" xlink:label="Loc_29"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities" xlink:type="locator" xlink:label="Loc_38"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:type="locator" xlink:label="Loc_39"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentProperty" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentPayables" xlink:type="locator" xlink:label="Loc_43"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:type="locator" xlink:label="Loc_44"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:type="locator" xlink:label="Loc_48"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:type="locator" xlink:label="Loc_58"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty" xlink:type="locator" xlink:label="Loc_59"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:type="locator" xlink:label="Loc_60"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_NonCurrentEmissionRightsPurchasedForRedemption" xlink:type="locator" xlink:label="Loc_61"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories" xlink:type="locator" xlink:label="Loc_63"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:type="locator" xlink:label="Loc_64"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:type="locator" xlink:label="Loc_65"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentNonfinancialAssets" xlink:type="locator" xlink:label="Loc_68"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_69"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_CurrentEmissionRightsPurchasedForRedemption" xlink:type="locator" xlink:label="Loc_71"/>
        <link:loc xlink:href="http://www.kogeneracja.com.pl/xbrl/2024-12-31/kgn-2024-12-31.xsd#kgn_NonCurrentBorrowingsAndLeaseLiabilities" xlink:type="locator" xlink:label="Loc_72"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialLiabilities" xlink:type="locator" xlink:label="Loc_74"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentDeferredIncomeOtherThanNoncurrentContractLiabilities" xlink:type="locator" xlink:label="Loc_76"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits" xlink:type="locator" xlink:label="Loc_77"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentProvisions" xlink:type="locator" xlink:label="Loc_79"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:type="locator" xlink:label="Loc_83"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:type="locator" xlink:label="Loc_84"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentNonfinancialLiabilities" xlink:type="locator" xlink:label="Loc_86"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_CurrentBorrowingsAndLeaseLiabilities" xlink:type="locator" xlink:label="Loc_87"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:type="locator" xlink:label="Loc_88"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentProvisionsForEmployeeBenefits" xlink:type="locator" xlink:label="Loc_89"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentProvisions" xlink:type="locator" xlink:label="Loc_91"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentDeferredIncomeOtherThanCurrentContractLiabilities" xlink:type="locator" xlink:label="Loc_92"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:type="locator" xlink:label="Loc_93"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:type="locator" xlink:label="Loc_94"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SharePremium" xlink:type="locator" xlink:label="Loc_95"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherReserves" xlink:type="locator" xlink:label="Loc_98"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_2" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_3" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_4" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_10" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_12" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_15" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_58" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_59" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_60" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_2" xlink:to="Loc_61" order="10.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_17" order="11.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_63" order="12.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_64" order="13.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_65" order="14.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_68" order="15.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_69" order="16.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_17" xlink:to="Loc_71" order="17.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_28" xlink:to="Loc_29" order="18.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_29" xlink:to="Loc_93" order="19.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_29" xlink:to="Loc_94" order="20.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_29" xlink:to="Loc_95" order="21.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_29" xlink:to="Loc_98" order="22.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_28" xlink:to="Loc_38" order="23.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_38" xlink:to="Loc_39" order="24.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_72" order="25.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_74" order="26.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_76" order="27.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_77" order="28.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_79" order="29.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_43" order="30.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_39" xlink:to="Loc_44" order="31.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_38" xlink:to="Loc_48" order="32.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_83" order="33.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_84" order="34.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_86" order="35.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_87" order="36.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_88" order="37.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_89" order="38.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_91" order="39.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_48" xlink:to="Loc_92" order="40.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.kogeneracja.com.pl/role/ias_1_role-410000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:type="locator" xlink:label="Loc_14"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:type="locator" xlink:label="Loc_16"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_18"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:type="locator" xlink:label="Loc_19"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:type="locator" xlink:label="Loc_20"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit" xlink:type="locator" xlink:label="Loc_21"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue" xlink:type="locator" xlink:label="Loc_22"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CostOfSales" xlink:type="locator" xlink:label="Loc_23"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_IncomeCostsFromCompensation" xlink:type="locator" xlink:label="Loc_24"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherIncome" xlink:type="locator" xlink:label="Loc_25"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DistributionCosts" xlink:type="locator" xlink:label="Loc_26"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdministrativeExpense" xlink:type="locator" xlink:label="Loc_27"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherExpenseByFunction" xlink:type="locator" xlink:label="Loc_28"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" xlink:label="Loc_3"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" xlink:label="Loc_4"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:type="locator" xlink:label="Loc_45"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:type="locator" xlink:label="Loc_46"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome" xlink:type="locator" xlink:label="Loc_47"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts" xlink:type="locator" xlink:label="Loc_48"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_18" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_18" xlink:to="Loc_19" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_19" xlink:to="Loc_20" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_20" xlink:to="Loc_21" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_21" xlink:to="Loc_22" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_21" xlink:to="Loc_23" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_21" xlink:to="Loc_24" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_20" xlink:to="Loc_25" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_20" xlink:to="Loc_26" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_20" xlink:to="Loc_27" order="10.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_20" xlink:to="Loc_28" order="11.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_19" xlink:to="Loc_46" order="12.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_46" xlink:to="Loc_47" order="13.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_46" xlink:to="Loc_48" order="14.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_18" xlink:to="Loc_45" order="15.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_3" order="16.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_3" xlink:to="Loc_4" order="17.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_4" xlink:to="Loc_14" order="18.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_4" xlink:to="Loc_16" order="19.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.kogeneracja.com.pl/role/ias_7_role-520000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator" xlink:label="Loc_128"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:type="locator" xlink:label="Loc_129"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="locator" xlink:label="Loc_130"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:type="locator" xlink:label="Loc_133"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForProvisions" xlink:type="locator" xlink:label="Loc_135"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:type="locator" xlink:label="Loc_144"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_AdjustmentsForInterestIncomeExpenseAndDividendIncome" xlink:type="locator" xlink:label="Loc_145"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:type="locator" xlink:label="Loc_146"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:type="locator" xlink:label="Loc_147"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherAssets" xlink:type="locator" xlink:label="Loc_148"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInDeferredIncomeOtherThanContractLiabilities" xlink:type="locator" xlink:label="Loc_149"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities" xlink:type="locator" xlink:label="Loc_150"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_AdjustmentsForDecreaseIncreaseInEmissionRightsPurchasedForRedemption" xlink:type="locator" xlink:label="Loc_151"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator" xlink:label="Loc_152"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_166"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_168"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator" xlink:label="Loc_169"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator" xlink:label="Loc_170"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_172"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_FundsReceivedUnderCashPooling" xlink:type="locator" xlink:label="Loc_173"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_FundsTransferredUnderCashPooling" xlink:type="locator" xlink:label="Loc_174"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator" xlink:label="Loc_175"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_NetCashPoolingClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_176"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_185"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromGovernmentGrantsClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_186"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings" xlink:type="locator" xlink:label="Loc_191"/>
        <link:loc xlink:href="kgn-2024-12-31.xsd#kgn_AdjustmentsForLossesGainsOnInvestmentActivities" xlink:type="locator" xlink:label="Loc_192"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_128" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_128" xlink:to="Loc_129" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_128" xlink:to="Loc_130" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_128" xlink:to="Loc_133" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_128" xlink:to="Loc_135" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_128" xlink:to="Loc_144" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_128" xlink:to="Loc_145" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_128" xlink:to="Loc_146" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_128" xlink:to="Loc_147" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_128" xlink:to="Loc_148" order="10.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_128" xlink:to="Loc_149" order="11.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_128" xlink:to="Loc_150" order="12.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_128" xlink:to="Loc_151" order="13.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_128" xlink:to="Loc_192" order="14.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_152" order="15.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_152" xlink:to="Loc_166" order="16.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_152" xlink:to="Loc_168" order="17.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_152" xlink:to="Loc_169" order="18.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_152" xlink:to="Loc_170" order="19.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_152" xlink:to="Loc_172" order="20.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_152" xlink:to="Loc_173" order="21.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_152" xlink:to="Loc_174" order="22.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_175" order="23.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_175" xlink:to="Loc_176" order="24.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_175" xlink:to="Loc_185" order="25.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_175" xlink:to="Loc_186" order="26.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_175" xlink:to="Loc_191" order="27.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.kogeneracja.com.pl/role/ias_1_role-610000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="Loc_18"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_19"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" xlink:label="Loc_20"/>
        <link:calculationArc weight="1" xlink:from="Loc_18" xlink:to="Loc_19" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_18" xlink:to="Loc_20" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.kogeneracja.com.pl/role/role_000010" xlink:type="extended"/>
    <link:calculationLink xlink:role="http://www.kogeneracja.com.pl/role/Anchoring" xlink:type="extended"/>
</link:linkbase>
